### Method

# Gegl Buffer linear_close

#### Declaration [src]

    void
    gegl_buffer_linear_close (
      GeglBuffer* buffer,
      gpointer linear
    )

#### Description [src]

This function makes sure GeglBuffer and underlying code is aware of changes being made to the linear buffer. If the request was not a compatible one it is written back to the buffer. Multiple concurrent users can be handed the same buffer (both raw access and converted).

#### Parameters

`linear`

  Type: `gpointer`

  A previously returned buffer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.